local reap = require("lib.reap")

local BASE = reap.base_path(...)

local world = require("love_src.wrapper.Concord.world")

local debug_entity = require("love_src.src.world.common.template.debug_entity")

local wrapper = world:extend()

function wrapper:new()
  wrapper.super.new(self, BASE, ".train")
end

function wrapper:load(_args)
  wrapper.super.load(self, {
    "love_src/src/world/common/system/"
  }, {
    {
      assemblage = debug_entity.assembleDebug,
      data = {
        position = {0, 0},
        label = "train world"
      }
    }
  })
end

return wrapper
